get.refentry.section
Prev | Common » Refentry Metadata Template Reference | Next

## get.refentry.section

get.refentry.section — Gets section metadata for a refentry

## Synopsis

    <xsl:template name="get.refentry.section">
    <xsl:param name="refname"/>
    <xsl:param name="quiet" select="0"/>
      ...
    </xsl:template>

## Description

The `man(7)` man page describes this as "the section number the man page should be placed in (e.g., `7`)". If we do not find a `manvolnum` specified in the source, and we find that the `refentry` is for a function, we use the section number `3` ["Library calls (functions within program libraries)"]; otherwise, we default to using `1` ["Executable programs or shell commands"].

## Parameters

refname

  The first `refname` in the refentry

quiet

  If non-zero, no "missing" message is emitted

## Returns

Returns a string representing a section number.

Prev | Up | Next
get.refentry.title | Home | get.refentry.date